package com.bocloud.cmp.model;

import java.util.List;

public class ClusterOperateModel {
    private String uuid;
    private Long vendorId; // 供应商ID
    private Long vdcId; // 数据中心ID
    private String vdcName; // 数据中心名称
    private Long clusterId; // 集群ID
    private String clusterName; // 集群名称
    private Long regionId;
    private List<Long> hosts;
    private List<String> hostNames;
    private String initialPolicy; // 布置策略
    private VsanConfigInfo vsanConfig;

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    /**
     * @return the vendorId
     */
    public Long getVendorId() {
        return vendorId;
    }

    /**
     * @param vendorId the vendorId to set
     */
    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    /**
     * @return the vdcId
     */
    public Long getVdcId() {
        return vdcId;
    }

    /**
     * @param vdcId the vdcId to set
     */
    public void setVdcId(Long vdcId) {
        this.vdcId = vdcId;
    }

    /**
     * @return the vdcName
     */
    public String getVdcName() {
        return vdcName;
    }

    /**
     * @param vdcName the vdcName to set
     */
    public void setVdcName(String vdcName) {
        this.vdcName = vdcName;
    }

    /**
     * @return the clusterId
     */
    public Long getClusterId() {
        return clusterId;
    }

    /**
     * @param clusterId the clusterId to set
     */
    public void setClusterId(Long clusterId) {
        this.clusterId = clusterId;
    }

    /**
     * @return the clusterName
     */
    public String getClusterName() {
        return clusterName;
    }

    /**
     * @param clusterName the clusterName to set
     */
    public void setClusterName(String clusterName) {
        this.clusterName = clusterName;
    }

    /**
     * @return the hosts
     */
    public List<Long> getHosts() {
        return hosts;
    }

    /**
     * @param hosts the hosts to set
     */
    public void setHosts(List<Long> hosts) {
        this.hosts = hosts;
    }

    /**
     * @return the regionId
     */
    public Long getRegionId() {
        return regionId;
    }

    /**
     * @param regionId the regionId to set
     */
    public void setRegionId(Long regionId) {
        this.regionId = regionId;
    }

    public List<String> getHostNames() {
        return hostNames;
    }

    public void setHostNames(List<String> hostNames) {
        this.hostNames = hostNames;
    }

    public String getInitialPolicy() {
        return initialPolicy;
    }

    public void setInitialPolicy(String initialPolicy) {
        this.initialPolicy = initialPolicy;
    }

    public VsanConfigInfo getVsanConfig() {
        return vsanConfig;
    }

    public void setVsanConfig(VsanConfigInfo vsanConfig) {
        this.vsanConfig = vsanConfig;
    }
}
